package edu.zju.bme.tumorboard.controller;

/**
 * @author Meng.ZiZhong
 * @date 2021/5/26
 */


import edu.zju.bme.tumorboard.service.PrognosisEvaluationService;
import edu.zju.bme.tumorboard.utils.RestResult;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;;
import org.springframework.web.bind.annotation.RestController;


@Slf4j
@RestController
@RequestMapping("/prognosisEvaluation")
@CrossOrigin
public class PrognosisEvaluationController {
    @Autowired
    private PrognosisEvaluationService prognosisEvaluationService;

    @GetMapping("getPrognosisEvaluationInfo")
    @ApiOperation(value = "获取预后统计及风险因子信息")
    public RestResult getPrognosisEvaluationInfo() {
        return RestResult.ok(prognosisEvaluationService.getPrognosisEvaluationInfo() );
    }

}
