package edu.zju.bme.tumorboard.controller;

import edu.zju.bme.tumorboard.feign.StageAndEvaluationFeignService;
import edu.zju.bme.tumorboard.utils.RestResult;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 精准分期预测接口
 *
 * @author Nie.YunFeng
 * @date 2021/2/23
 */
@Slf4j
@RestController
@CrossOrigin
public class StageAndEvaluationController {

    @Autowired
    private StageAndEvaluationFeignService stageAndEvaluationFeignService;

    @PostMapping("/stage/triadPredict4CT")
    @ApiOperation(value = "根据CT报告得到三元组预测结果")
    public RestResult triadPredict(@RequestBody Object content) {
        return RestResult.ok(stageAndEvaluationFeignService.triadPredict(content));
    }

    @PostMapping("/stage/predict")
    @ApiOperation(value = "TN分期预测")
    public RestResult stagePredict(@RequestBody Object mergeData) {
        return RestResult.ok(stageAndEvaluationFeignService.stagePredict(mergeData));
    }

    @PostMapping("/prognosis/evaluation")
    @ApiOperation(value = "预后评估")
    public RestResult prognosisEvaluation(@RequestBody Object patientData) {
        return RestResult.ok(stageAndEvaluationFeignService.prognosisEvaluation(patientData));
    }
}
