package edu.zju.bme.tumorboard.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author Nie.YunFeng
 * @date 2021/3/1
 */
@FeignClient(url = "${stageEvaluationServer.url}", name = "stagePredictURL")
public interface StageAndEvaluationFeignService {

    /**
     * 根据CT报告得到三元组预测结果
     *
     * @param content ct报告文本
     * @return
     */
    @RequestMapping(value = "/triadPredict4CT", method = RequestMethod.POST)
    Object triadPredict(@RequestBody Object content);

    /**
     * TN分期预测
     *
     * @param mergeData 临床结构化与CT结构化数据
     * @return
     */
    @RequestMapping(value = "/stage/predict", method = RequestMethod.POST)
    Object stagePredict(@RequestBody Object mergeData);

    /**
     * 预后评估
     *
     * @param patientData 预后评估模型所需病人数据
     * @return
     */
    @RequestMapping(value = "/prognosis/evaluation", method = RequestMethod.POST)
    Object prognosisEvaluation(@RequestBody Object patientData);

}
