package edu.zju.bme.tumorboard.mapper.cdr;

import edu.zju.bme.tumorboard.entity.other.PatientImagReportInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * Created by Nie.Yunfeng on 2017/12/15.
 */
@Repository
public interface PatientBasicInfoMapper {

    /**
     * 根据就诊号得到病人基本信息
     *
     * @param encounterIdentifier 就诊号
     * @param patientIdentifier   病人标识符
     * @return
     */
    Map getPatientBasicInfoByEncounterIdentifier(@Param("encounterIdentifier") String encounterIdentifier,
                                                 @Param("patientIdentifier") String patientIdentifier);

    /**
     * 根据就诊号得到新增病人基本信息
     *
     * @param encounterIdentifier 就诊号
     * @param patientIdentifier   病人标识符
     * @return
     */
    Map<String,String> getCdrPatientBasicInfo(@Param("encounterIdentifier") String encounterIdentifier, @Param("patientIdentifier") String patientIdentifier);


    /**
     * 根据病人标识符获取病人检查报告信息
     * @param patientIdentifier 病人标识符
     * @return PatientImagInfo 病人检查报告信息
     */
    List<PatientImagReportInfo> getPatientImagReportInfo(String patientIdentifier);

    /**
     * 根据病人标识符获取病人最近一次的就诊号
     * @param patientIdentifier 病人标识符
     * @return String 病人就诊号
     */
    String getLatestAdmissionEncounterIdetifier(String patientIdentifier);
}
