package edu.zju.bme.tumorboard.mapper.manage;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import edu.zju.bme.tumorboard.entity.Dept;


import org.springframework.stereotype.Repository;

@Repository
public interface DeptMapper {

    /**
     * 根据科室ID删除科室信息
     *
     * @param deptId 科室ID
     * @return
     */
    int deleteByPrimaryKey(String deptId);

    /**
     * 添加科室信息
     *
     * @param dept 科室信息对象
     * @return
     */
    int insertSelective(Dept dept);

    /**
     * 根据科室ID查询科室信息
     *
     * @param deptId 科室ID
     * @return Dept 科室对象
     */
    Dept selectByPrimaryKey(String deptId);

    /**
     * 根据科室ID更新科室信息
     *
     * @param dept 科室信息对象
     * @return
     */
    int updateByPrimaryKeySelective(Dept dept);
}