package edu.zju.bme.tumorboard.mapper.manage;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import edu.zju.bme.tumorboard.entity.Meeting;

import org.springframework.stereotype.Repository;

@Repository
public interface MeetingMapper {

    /**
     * 删除会议
     *
     * @param meetingId 会议ID
     * @return
     */
    int deleteByPrimaryKey(String meetingId);

    /**
     * 添加会议信息
     *
     * @param meeting 会议信息
     * @return
     */
    int insertSelective(Meeting meeting);

    /**
     * 根据会议ID查询回想
     *
     * @param meetingId 会议ID
     * @return Meeting 会议对象
     */
    Meeting selectByPrimaryKey(String meetingId);

    /**
     * 根据会议ID更新会议信息
     *
     * @param meeting 会议信息
     * @return
     */
    int updateByPrimaryKeySelective(Meeting meeting);

}