package edu.zju.bme.tumorboard.mapper.manage;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import edu.zju.bme.tumorboard.entity.MeetingPersonnel;

import org.springframework.stereotype.Repository;

@Repository
public interface MeetingPersonnelMapper {

    /**
     * 删除会议人员
     *
     * @param meetingUserId 会议人员id
     * @return
     */
    int deleteByPrimaryKey(String meetingUserId);

    /**
     * 添加会议人员
     *
     * @param meetingPersonnel 会议人员信息
     * @return
     */
    int insertSelective(MeetingPersonnel meetingPersonnel);

    /**
     * 根据会议人员ID获取会议人员信息
     *
     * @param meetingUserId 会议人员id
     * @return MeetingPersonnel 会议人员对象
     */
    MeetingPersonnel selectByPrimaryKey(String meetingUserId);

    /**
     * 根据会议人员ID更新会议人员信息
     *
     * @param meetingPersonnel 会议人员信息
     * @return
     */
    int updateByPrimaryKeySelective(MeetingPersonnel meetingPersonnel);
}