package edu.zju.bme.tumorboard.mapper.manage;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import edu.zju.bme.tumorboard.entity.Patient;

import java.util.List;

import org.springframework.stereotype.Repository;

@Repository
public interface PatientMapper {

    /**
     * 获取所有病人
     *
     * @return  List<Patient> 病人对象集合
     */
    List<Patient> getAll();

    /**
     * 根据病人ID删除病人
     * @param patientId 病人ID
     * @return
     */
    int deleteByPrimaryKey(String patientId);

    /**
     * 添加病人
     * @param patient 病人对象
     * @return
     */
    int insertSelective(Patient patient);

    /**
     * 根据病人ID获取病人
     * @param patientId 病人ID
     * @return patient 病人对象
     */
    Patient selectByPrimaryKey(String patientId);

    /**
     * 根据病人标识符获取病人
     * @param patientIdentifier 病人标识符
     * @return patient 病人对象
     */
    Patient getPatientByPatientIdentifier(String patientIdentifier);

    /**
     * 根据病人对象更新病人
     * @param patient 病人对象
     * @return
     */
    int updateByPrimaryKeySelective(Patient patient);
}