package edu.zju.bme.tumorboard.mapper.manage;

/**
 * @author Meng.ZiZhong
 * @date 2021/5/26
 */

import edu.zju.bme.tumorboard.entity.AveragedFeatureImportance;
import edu.zju.bme.tumorboard.entity.NsclcPrognosisStatistics;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PrognosisEvaluationMapper {

    /**
     * 获取预后统计信息
     *
     *
     * @return NsclcPrognosisStatistics 预后统计信息
     */
    List<NsclcPrognosisStatistics> getNsclcPrognosisStatisticsAllStageInfo();

    /**
     * 获取风险因子信息
     *
     *
     * @return AveragedFeatureImportance 预后统计信息
     */
    List<AveragedFeatureImportance> getAveragedFeatureImportanceInfo();
}