package edu.zju.bme.tumorboard.service;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import edu.zju.bme.tumorboard.entity.PatientMeetingRecord;

import java.util.List;

public interface PatientMeetingRecordService {

    /**
     * 根据会议记录ID删除会议记录
     * @param reportId 会议记录ID
     * @return
     */
    int deleteByPrimaryKey(String reportId);

    /**
     * 添加会议记录
     * @param patientMeetingRecord 会议记录对象
     * @return
     */
    PatientMeetingRecord insert(PatientMeetingRecord patientMeetingRecord);

    /**
     * 根据会议记录ID查询会议记录
     * @param reportId 会议记录ID
     * @return PatientMeetingRecord 会议记录对象
     */
    PatientMeetingRecord selectByPrimaryKey(String reportId);

    /**
     * 根据会议记录对象更新会议记录
     * @param patientMeetingRecord 会议记录对象
     * @return
     */
    PatientMeetingRecord updateByPrimaryKey(PatientMeetingRecord patientMeetingRecord);

    /**
     * 根据病人ID获取会议记录
     * @param PatientId 病人ID
     * @return List<PatientMeetingRecord>会议记录集合
     */
    List<PatientMeetingRecord> getRecordListByPatientId(String patientId);
}
