package edu.zju.bme.tumorboard.service.impl;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import edu.zju.bme.tumorboard.entity.PatientMeetingRecord;
import edu.zju.bme.tumorboard.mapper.manage.PatientMeetingRecordMapper;
import edu.zju.bme.tumorboard.service.PatientMeetingRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.UUID;

@Service
@Slf4j
public class PatientMeetingRecordServiceImpl implements PatientMeetingRecordService {
    @Autowired
    private PatientMeetingRecordMapper patientMeetingRecordMapper;


    @Override
    public int deleteByPrimaryKey(String reportId) {
        return patientMeetingRecordMapper.deleteByPrimaryKey(reportId);
    }

    @Override
    public PatientMeetingRecord insert(PatientMeetingRecord record) {
        record.setReportId(UUID.randomUUID().toString());
        record.setRecordDate(new Date());
        patientMeetingRecordMapper.insertSelective(record);
        return record;
    }

    @Override
    public PatientMeetingRecord selectByPrimaryKey(String reportId) {
        return patientMeetingRecordMapper.selectByPrimaryKey(reportId);
    }

    @Override
    public PatientMeetingRecord updateByPrimaryKey(PatientMeetingRecord record) {
        record.setRecordDate(new Date());
        patientMeetingRecordMapper.updateByPrimaryKeySelective(record);
        return record;
    }

    @Override
    public List<PatientMeetingRecord> getRecordListByPatientId(String patientId) {
        return patientMeetingRecordMapper.getRecordListByPatientId(patientId);
    }
}
