package edu.zju.bme.tumorboard.utils;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class RestResult {
    private RestStatus code = RestStatus.OK;
    private String message;
    private Object data;
    private static final long serialVersionUID = 1L;

    public RestResult(Object data) {
        this.data = data;
    }

    public RestResult(RestStatus code, String message) {
        this.code = code;
        this.message = message;
    }

    public static RestResult ok() {
        return new RestResult(RestStatus.OK, null, null);
    }

    public static RestResult ok(Object data) {
        return new RestResult(RestStatus.OK, null, data);
    }

    static public RestResult fail(String message) {
        return new RestResult(RestStatus.ERROR, message, null);
    }

    public static RestResult fail(String message, Object data) {
        return new RestResult(RestStatus.ERROR, message, data);
    }
}
