import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { PatientListComponent } from './patient-list/patient-list.component';
import { DataReadyComponent } from './data-ready/data-ready.component';
import { PatientViewComponent } from './patient-view/patient-view.component';
import {DiagnosisTreatComponent} from "./patient-view/diagnosis-treat/diagnosis-treat.component";
import {TreatmentHistoryPptComponent} from "./patient-view/diagnosis-treat/treatment-history-ppt/treatment-history-ppt.component";

const routes: Routes = [
    { path: '', redirectTo: 'index', pathMatch: 'full' },
    { path: 'index', component: PatientListComponent },
    { path: 'patient/data/ready', component: DataReadyComponent },
    { path: 'patient/view', component: PatientViewComponent,},
    { path: 'diagnosis/treat', component: DiagnosisTreatComponent,},
    { path: 'treatment/history/ppt', component: TreatmentHistoryPptComponent,},
];

@NgModule({
    imports: [RouterModule.forRoot(routes, { useHash: true })],
    exports: [RouterModule]
})
export class AppRoutingModule { }
