import { Component } from '@angular/core';

import {getGlobalQueryParams} from "./core/utils/utils.service";
import {URLService} from "./core/others/url.service";
import {LoginService, str2hex} from "./core/others/login.service";
import {Router} from "@angular/router";


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'tumor-board-view';
  constructor(private urlService: URLService,
              private loginService: LoginService,
              private router: Router,) {
      if (!sessionStorage.getItem('_sessionId')){
          let params = getGlobalQueryParams();
          let sessionId = params ? params.get('_sessionId') : null;
          let username = params ? params.get('username') : null;
          let userId = params ? params.get('userId') : null;
          if (sessionId && userId && username) {
              localStorage.setItem('_sessionId', sessionId);
              localStorage.setItem('user_id', userId);
              localStorage.setItem('user_name', username);
              sessionStorage.setItem('_sessionId', sessionId);
              sessionStorage.setItem('user_id', userId);
              sessionStorage.setItem('user_name', username);
          } else {
              let href: string = window.location.href;
              window.location.href = this.urlService.loginUrl + '?target=' + str2hex(href);
          }
      }
  }

    logout() {
      this.loginService.logout();
    }

    returnPatientList() {
        this.router.navigate(['index']);
    }
}
