import { Injectable } from '@angular/core';
import {URLService} from "../others/url.service";
import {HttpClient} from "@angular/common/http";

export class AveragedFeatureImportance {
    id: number;
    riskFactorsName: string;
    oneSurvival: number;
    oneRecurrence: number;
    threeSurvival: number;
    threeRecurrence: number;
    fiveSurvival: number;
    fiveRecurrence: number;
    macthTableName: string;
    macthColumnName: string;
    macthColumnValue: string;
    equalsColumnValue: string;
    macthReplicableGroupName: string;
    additionalMacthColumnName: string;
    additionalMacthColumnValue: string;
    additionalEqualsColumnValue: string;
}

export class NsclcPrognosisStatistics {
    id: number;
    stage: string;
    total: number;
    oneYearRecurrenceNumber: number;
    oneYearRecurrenceProbability: number;
    oneYearDeathNumber: number;
    oneYearDeathProbability: number;
    threeYearRecurrenceNumber: number;
    threeYearRecurrenceProbability: number;
    threeYearDeathNumber: number;
    threeYearDeathProbability: number;
    fiveYearRecurrenceNumber: number;
    fiveYearRecurrenceProbability: number;
    fiveYearDeathNumber: number;
    fiveYearDeathProbability: number;
}

@Injectable({
  providedIn: 'root'
})
export class PrognosisEvaluationService {

    constructor(private urlService: URLService, private httpClient: HttpClient,) { }

    getPrognosisEvaluationInfo() {
        return this.httpClient.get(this.urlService.URL_GET_PROGNOSIS_EVALUATION_INFO);
    }
}
