import { Injectable } from '@angular/core';
import { URLService } from "../others/url.service";
import { HttpClient } from "@angular/common/http";
import {Subject,} from 'rxjs'

@Injectable({
    providedIn: 'root'
})
export class StagePredictService {

    stage: any;
    ecog: any;
    stageDataSubject$ = new Subject<any>();

    constructor(private urlService: URLService, private httpClient: HttpClient) { }

    announceStageData(stage: any) {
        this.stageDataSubject$.next(stage);
    }

    stagePredictByMergeData(mergeData: any) {
        return this.httpClient.post(this.urlService.URL_POST_STAGE_PREDICT, mergeData)
    }

    prognosisEvaluationByPatientData(patientData: any) {
        return this.httpClient.post(this.urlService.URL_POST_PROGNOSIS_EVALUATION, patientData)
    }
}
