import { Component, Input, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';

import { URLService } from '../../core/others/url.service';

@Component({
    selector: 'app-cdss-ready',
    templateUrl: './cdss-ready.component.html',
    styleUrls: ['./cdss-ready.component.css']
})
export class CdssReadyComponent implements OnInit {
    @Input()
    patientId: any;

    cdssUrl: any;

    constructor(private urlService: URLService, private sanitized: DomSanitizer) {
    }

    ngOnInit(): void {
        let url = this.urlService.CDSSUrl + this.patientId + "&isContinue=true&hiddenTitle=true&hiddenLog=true&hiddenResult=true";
        this.cdssUrl = this.sanitized.bypassSecurityTrustResourceUrl(url);
    }

}
