import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { URLService } from "../core/others/url.service";
import { DomSanitizer } from "@angular/platform-browser";

@Component({
    selector: 'app-data-ready',
    templateUrl: './data-ready.component.html',
    styleUrls: ['./data-ready.component.css']
})
export class DataReadyComponent implements OnInit {

    public patient: any = {
    };
    appDesignUrl: string = '';
    safeAppDesignUrl: any = null;
    patientIdentifier: any;

    constructor(private router: Router,
        private urlService: URLService,
        private sanitizer: DomSanitizer,
        private route: ActivatedRoute,) {
        this.route.queryParams.subscribe((res) => {
            this.patientIdentifier = res.patientIdentifier;
            this.appDesignUrl = this.urlService.cleverAppDesign.api + this.patientIdentifier + '?_sessionId=' + sessionStorage.getItem("_sessionId") + '&userId=' + sessionStorage.getItem("user_id") + '&username=' + sessionStorage.getItem("user_name") + '&embedded=true&TumorBoard=true';
            this.safeAppDesignUrl = this.sanitizer.bypassSecurityTrustResourceUrl(this.appDesignUrl);
        });
    }

    ngOnInit() {

    }

    returnPatientList() {
        this.router.navigate(['index']);
    }

}
