import { Directive, ElementRef, Input, Renderer2, AfterViewInit, HostListener } from '@angular/core';

@Directive({
    selector: '[resizeHeight]',
})
export class ResizeHeigthDirective implements AfterViewInit {
    @Input('diffHeight')
    public diffHeight: number = 0;

    @HostListener('window:resize')
    public resizeHeight() {
        this.renderer.setStyle(this.el.nativeElement, 'height',
            (this.isHalf ? (window.innerHeight - this.diffHeight) / 2 : (window.innerHeight - this.diffHeight)) + 'px');
    }

    @Input("isHalf")
    public isHalf: boolean = false;

    constructor(private el: ElementRef, private renderer: Renderer2) {
    }
    ngAfterViewInit() {
        this.renderer.setStyle(this.el.nativeElement, 'height',
            (this.isHalf ? (window.innerHeight - this.diffHeight) / 2 : (window.innerHeight - this.diffHeight)) + 'px');
    }
}

