import { Component, Input, OnInit } from '@angular/core';
import { URLService } from "../../../core/others/url.service";

@Component({
    selector: 'app-treatment-history-ppt',
    templateUrl: './treatment-history-ppt.component.html',
    styleUrls: ['./treatment-history-ppt.component.css']
})
export class TreatmentHistoryPptComponent implements OnInit {

    @Input() showTreatmentHistoryData: any[] = [];
    @Input() examinationBeforeTreatment: any;
    @Input() pathologyData: any;
    @Input() showInDiagnosisTreat: boolean = false;
    @Input() patientIdentifier:string;

    pathologyReportUrl: string;

    treatmentEvaluation: any = {
        'CR': '#3ab000',
        'PR': '#87d068',
        '缩小SD': '#FBA546',
        '增大SD': '#FBA546',
        'PD': '#cd201f',
    };

    differentiation: any = {
        '其他': '#FBA546',
        '高分化': '#87d068',
        '中高分化': '#87d068',
        '中分化': '#3ab000',
        '中低分化': '#3ab000',
        '低分化': '#cd201f',
        '未分化': '#cd201f',
    };
    stepIndex = 0;

    lymphNodeDissectionNumber: string[] = ['1l', '1r', '2l', '2r', '2r+4r', '3a', '3p', '4l', '4r', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14'];
    tumorMarkerNames: any = ['cea', 'ca199', 'nse', 'ca125', 'scc', 'cyfra21_1'];
    tumorMarkerRange: any = {
        cea: 5,
        ca199: 37,
        ca125: 35,
        nse: 15.2,
        cyfra21_1: 3.3,
        scc: 2.5
    };
    constructor(public urlSrv: URLService,) {
        this.pathologyReportUrl = this.urlSrv.pathologyReportUrl;
    }

    ngOnInit(): void {
        window.addEventListener("resize", () => {
            console.log(document.fullscreenElement);

            if (!document.fullscreenElement) {
                this.isFullscreen = false;
            }
        });
    }

    unfoldTimelineItem(treatmentHistoryData: any) {
        if (this.showInDiagnosisTreat) {
            treatmentHistoryData.isUnfold = !treatmentHistoryData.isUnfold;
        }
    }

    onIndexChange(event: any) {
        this.stepIndex = event;
    }

    pre() {
        this.stepIndex -= 1;
    }

    next() {
        this.stepIndex += 1;
    }

    isFullscreen: boolean = false;
    enterFullscreen() {
        this.isFullscreen = true;
        let element: any = document.getElementById("TreatmentHistoryData"); // 获取dom
        element['requestFullscreen'](); // 调用全屏
    }
}
