import {Component, Input, OnInit} from '@angular/core';
import {URLService} from "../../../core/others/url.service";
import {PatientService} from "../../../core/service/patient.service";

@Component({
    selector: 'app-treatment-history',
    templateUrl: './treatment-history.component.html',
    styleUrls: ['./treatment-history.component.css']
})
export class TreatmentHistoryComponent implements OnInit {

    @Input() showTreatmentHistoryData: any[] = [];
    @Input() examinationBeforeTreatment: any;
    @Input() pathologyData: any;
    @Input() showInDiagnosisTreat: boolean = false;
    @Input() showOption: any;
    treatmentEvaluation: any = {
        'CR': '#3ab000',
        'PR': '#87d068',
        '缩小SD': '#FBA546',
        '增大SD': '#FBA546',
        'PD': '#cd201f',
    };

    lymphNodeDissectionNumber: string[] = ['1l', '1r', '2l', '2r', '2r+4r', '3a', '3p', '4l', '4r', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14'];

    constructor(public urlSrv: URLService,
                private patientService: PatientService,) {
    }

    ngOnInit(): void {
    }

    unfoldTimelineItem(treatmentHistoryData: any) {
        if (this.showInDiagnosisTreat) {
            treatmentHistoryData.isUnfold = !treatmentHistoryData.isUnfold;
        }
    }
}
